%define	name	tptest
%define	version	3.0.6
%define	release	2mdk

Summary:	TPTEST - Network throughput measurement program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers 
URL:		http://tptest.sourceforge.net/
Source0:	%{name}%{version}.tar.bz2
Source1:	tptestd.init.bz2
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The purpose with TPTEST is to allow users to measure the speed
of their Internet connection in a simple way. TPTEST measures
the throughput speed to and from various reference servers on
the Internet. The use of TPTEST may help increase the
consumer/end user knowledge of how Internet services work. 
 
TPTEST was originally developed by the Swedish ICT-commission,
then later by the Foundation for Internet Infrastructure (iis.se),
the Swedish Consumer Agency (konsumentverket.se), and the Swedish
National Post- and Telecom Agency (pts.se). The latest development
has been to separate the platform-independent test method software
(the test engine) from the platform-dependent user interface
software in order to make it easier for anyone to write a test
client or server that uses the TPTEST testing method. The test
engine code is to be regarded as a library module and is released
under the LGPL license while the reference client/server
applications is released under the GPL license. 


%package 	server
Summary: 	TPTEST - Network throughput measurement server
Group: 		System/Servers
PreReq:		rpm-helper

%description 	server
The purpose with TPTEST is to allow users to measure the speed
of their Internet connection in a simple way. TPTEST measures
the throughput speed to and from various reference servers on
the Internet. The use of TPTEST may help increase the
consumer/end user knowledge of how Internet services work. 

This package provides the server part of tptest.

%prep

%setup -q -n %{name}%{version}

%build

# this is wierd stuff man...

cp engine/* .
cp os-dep/unix/* .
cp apps/unix/server/* .

# build the server
make "CFLAGS=%{optflags} -DUNIX -DLINUX" tptest
mv tptest tptestd
make clean

# build the client
cp apps/unix/client/* .
make "CFLAGS=%{optflags} -DUNIX -DLINUX" tptest

# fix rest of the mess...
mv ./apps/unix/client/README README.client
mv ./apps/unix/server/README README.server
mv ./engine/README README.engine
mv ./os-dep/unix/README README.tpio_unix

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_initrddir}

install -m555 tptest %{buildroot}%{_sbindir}/
install -m555 tptestd %{buildroot}%{_sbindir}/
install -m644 tptest.conf %{buildroot}%{_sysconfdir}/tptest.conf

bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/tptestd

%post server
%_post_service tptestd

%preun server
%_preun_service tptestd

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.client tptest3.txt
%{_sbindir}/tptest

%files server
%defattr(-,root,root)
%doc README.engine README.server README.tpio_unix
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/tptest.conf
%attr(0755,root,root) %config(noreplace) %{_initrddir}/tptestd
%{_sbindir}/tptestd

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0.6-2mdk
- build release

* Mon Oct 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0.6-1mdk
- initial cooker contrib

